Altibase.jdbc.driver

## Class AltibaseFailoverServerInfo

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseFailoverServerInfo

    public class AltibaseFailoverServerInfo
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`AltibaseFailoverServerInfo(java.lang.String aServer, int aPortNo, java.lang.String aDbName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object aObj)` Server와 Port, Database Name이 같은지 확인한다.
`java.lang.String` `getDatabase()` 접속할 서버의 DB Name을 얻는다.
`long` `getFailStartTime()` 서버 접속에 실패한 시간을 얻는다.
`int` `getPort()` 접속할 서버의 port number를 얻는다.
`java.lang.String` `getServer()` 접속할 서버의 host 값을 얻는다.
`int` `hashCode()`
`void` `setFailStartTime()`
`java.lang.String` `toString()` alternate servers string 포맷에 맞는 문자열 값을 얻는다.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AltibaseFailoverServerInfo

    public AltibaseFailoverServerInfo(java.lang.String aServer,
                                      int aPortNo,
                                      java.lang.String aDbName)

### Method Detail

#### getServer

    public java.lang.String getServer()

접속할 서버의 host 값을 얻는다.

Returns:
  host

#### getPort

    public int getPort()

접속할 서버의 port number를 얻는다.

Returns:
  port number

#### getFailStartTime

    public long getFailStartTime()

서버 접속에 실패한 시간을 얻는다.

Returns:
  서버 접속에 실패한 시간

#### getDatabase

    public java.lang.String getDatabase()

접속할 서버의 DB Name을 얻는다.

Returns:
  DB Name

#### setFailStartTime

    public void setFailStartTime()

#### toString

    public java.lang.String toString()

alternate servers string 포맷에 맞는 문자열 값을 얻는다.

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object aObj)

Server와 Port, Database Name이 같은지 확인한다.

Overrides:
  `equals` in class `java.lang.Object`